<section class="sub-section">

    <h3 id="page-templates" class="sub-heading">
        <?php esc_html_e( 'Page Templates', 'buildr' ); ?>
    </h3>
    
    <p>
        <?php esc_html_e( 'Buildr includes Page Templates that can be used to create unique arrangements of widgets that only display on their respective Pages. ', 'buildr' ); ?>
    </p>
    
    <p>
        <span class="options-heading"><?php esc_html_e( 'Core Templates:', 'buildr' ) ?></span>
        
        <ul class="options-list">
            <li><strong><?php esc_html_e( '1. Frontpage', 'buildr' ) ?></strong></li>
            <li><strong><?php esc_html_e( '2. Blog', 'buildr' ) ?></strong></li>
            <li><strong><?php esc_html_e( '3. Page(default)', 'buildr' ) ?></strong></li>
            <li><strong><?php esc_html_e( '4. Post', 'buildr' ) ?></strong></li>
        </ul>
    
        <div class="clear"></div>
    
        <span class="options-heading"><?php esc_html_e( 'Additional Templates:', 'buildr' ) ?></span>
        
        <ul class="options-list">
            <li><strong><?php esc_html_e( '5. Shop (WooCommerce)', 'buildr' ) ?></strong></li>
            <li><strong><?php esc_html_e( '6. Single Product (WooCommerce)', 'buildr' ) ?></strong></li>
            <li><strong><?php esc_html_e( '7. Page Template A', 'buildr' ) ?></strong></li>
        </ul>
    
        <div class="clear"></div>
    
        <span class="options-heading"><?php esc_html_e( 'Pro Version Templates:', 'buildr' ) ?></span>
        <p><?php esc_html_e( 'These are additional page templates that you can assign to pages, so that you can add unique widgets to each template. This gives you the flexibility of creating several page templates that are re-usable, and customize your Buildr page widgets.', 'buildr' ) ?></p>
        <ul class="options-list">
            <li><strong><?php esc_html_e( '6. Page Template B', 'buildr' ) ?></strong></li>
            <li><strong><?php esc_html_e( '7. Page Template C', 'buildr' ) ?></strong></li>
            <li><strong><?php esc_html_e( '8. Page Template D', 'buildr' ) ?></strong></li>
            <li><strong><?php esc_html_e( '9. Landing Page A', 'buildr' ) ?></strong></li>
            <li><strong><?php esc_html_e( '10. Landing Page B', 'buildr' ) ?></strong></li>
            <li><strong><?php esc_html_e( '11. Landing Page C', 'buildr' ) ?></strong></li>
            <li><strong><?php esc_html_e( '12. Landing Page D', 'buildr' ) ?></strong></li>
        </ul>

        <div class="clear"></div>
        
        <p><?php esc_html_e( 'The landing page templates do not output any page content, allowing you to build pages only with widgets. This is ideal for landing pages, promotional pages, or any other sort of page that doesnt require paragraph-style content.', 'buildr' );?></p>
        
    </p>
    
    <div class="clear"></div>

    
    <img alt="<?php esc_attr_e( 'Page Templates', 'buildr' ); ?>" src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/docs/page_templates.jpg' ); ?>">
    
</section>